Should Default to HTML5 #127

Closed
ma11hew28 opened this Issue Jan 24, 2014 · 2 comments

2 participants

@ma11hew28

When I run jekyll serve, I get:
___________________________________________________________________________
| Maruku tells you:
+---------------------------------------------------------------------------
| Maruku cannot parse this block of HTML/XML:
| |
| Missing end tag for 'input' (got "html")
| Line: 4
| Position: 226
| Last 80 unconsumed characters:
+---------------------------------------------------------------------------

input doesn't need an end tag in HTML5.

Perhaps this is an issue with Jekyll, but whether it's Jekyll and/or Maruku that's lagging behind, HTML5 should be the default by now.

I'll see if there's some setting I can configure to validate HTML with HTML5 rules.

I see that a comment on Jekyll issue #1261 says to use Redcarpet instead of Maruku. I'll try that.

Owner
bhollis commented May 8, 2014

Resolving in favor of #56.

@bhollis bhollis closed this May 8, 2014
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment